<?xml version='1.0'?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:import href="vatReturnCommon.xslt"/>
    <xsl:import href="cssStyles.xslt"/>
    <xsl:output method="html" indent="yes" encoding="UTF-8"/>
    
    <xsl:template match="/root">
        
        <xsl:variable name="vat" select="@vatName"/>
        
        <xsl:variable name="totalSales" select="@totalSales"/>
        <xsl:variable name="adjustSalesAmount" select="@adjustSalesAmount"/>
        <xsl:variable name="adjustSalesVatAmount" select="@adjustSalesVatAmount"/>
        <xsl:variable name="prevPeriodSales" select="@prevPeriodSales"/>
        <xsl:variable name="prevPeriodSalesAdjustment" select="@prevPeriodSalesAdjustment"/>
        <xsl:variable name="prevPeriodDeferredSalesVAT" select="@prevPeriodDeferredSalesVAT"/>
        <xsl:variable name="totalSalesECGoods" select="@totalSalesECGoods"/>
        <xsl:variable name="totalSalesVat" select="@totalSalesVat"/>
        <xsl:variable name="totalSalesVatEC" select="@totalSalesVatEC"/>
        <xsl:variable name="totalSalesVatNonEC" select="@totalSalesVatNonEC"/>
        <xsl:variable name="totalSalesVatNonECAdjusted" select="@totalSalesVatNonECAdjusted"/>
        <xsl:variable name="totalSalesAdjusted" select="@totalSalesAdjusted"/>

        <xsl:variable name="totalPurchases" select="@totalPurchases"/>
        <xsl:variable name="adjustPurchasesAmount" select="@adjustPurchasesAmount"/>
        <xsl:variable name="adjustPurchasesVatAmount" select="@adjustPurchasesVatAmount"/>
        <xsl:variable name="prevPeriodPurchases" select="@prevPeriodPurchases"/>
        <xsl:variable name="prevPeriodPurchasesAdjustment" select="@prevPeriodPurchasesAdjustment"/>
        <xsl:variable name="prevPeriodDeferredPurchasesVAT" select="@prevPeriodDeferredPurchasesVAT"/>
        <xsl:variable name="totalPurchasesECGoods" select="@totalPurchasesECGoods"/>
        <xsl:variable name="totalPurchaseVatPaid" select="@totalPurchaseVatPaid"/>
        <xsl:variable name="totalPurchaseVatECGoods" select="@totalPurchaseVatECGoods"/>
        <xsl:variable name="totalPurchasesECServices" select="@totalPurchasesECServices"/>
        <xsl:variable name="totalPurchaseVatECServices" select="@totalPurchaseVatECServices"/>
        <xsl:variable name="totalPurchaseVatNonECAdjusted" select="@totalPurchaseVatNonECAdjusted"/>
        <xsl:variable name="totalPurchasesAdjusted" select="@totalPurchasesAdjusted"/>
        <xsl:variable name="totalPurchaseVat" select="$totalPurchaseVatNonECAdjusted"/>

        <xsl:variable name="box1" select="@box1"/>
        <xsl:variable name="box2" select="@box2"/>
        <xsl:variable name="box3" select="$box1 + $box2"/>
        <xsl:variable name="box4" select="@box4"/>
        <xsl:variable name="box5" select="$box3 - $box4"/>
        <xsl:variable name="box6" select="@box6"/>
        <xsl:variable name="box7" select="@box7"/>
        <xsl:variable name="box8" select="@box8"/>
        <xsl:variable name="box9" select="@box9"/>
        
        <html>
            <head>
                <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
                <title>***VAT Return***</title>
                <xsl:call-template name="cssStyles"/>
            </head>
            
            <body style="{$bodyStyle}">
                
                <div class="tableWrapperOuter" style="{$tableWrapperOuter}" id="tableWrapperOuter">
                    <div class="tableWrapperInner" style="{$tableWrapperInner}" id="tableWrapperInner">
                        
                        <h1 style="{$h1Style}" class="mainTitle">***VAT Return*** ***for*** <xsl:value-of select="@businessName"/></h1>
                        <h2 style="{$h2Style}"><xsl:value-of select="@vatSchemeName"/></h2>
                        <h2 style="{$h2Style}">***Period from*** <xsl:value-of select="@fromDate"/> ***to*** <xsl:value-of select="@toDate"/>
                        </h2>
                        <xsl:call-template name="messages"/>
                        
                        <table id="mainTable" title="{concat($vat,' Return for ',@businessName)}" style="{$tableStyle}">
                            <tbody>
                                <tr> 
                                    <td style="{$vatBoxLabel}">***Box1Description***<br />&#160;
                                    </td>
                                    <td style="{$vatBoxNumber}">1</td>
                                    <td style="{$money} {$vatBoxAmount}" >
                                        <xsl:call-template name="formatCurrency">
                                            <xsl:with-param name="pence" select="$box1"/>
                                        </xsl:call-template>
                                    </td>
                                </tr>
                                <tr> 
                                    <td style="{$vatBoxLabel}">***Box2Description***<br />&#160;
                                    </td>
                                    <td style="{$vatBoxNumber}">2</td>
                                    <td style="{$money} {$vatBoxAmount}" >
                                        <xsl:call-template name="formatCurrency">
                                            <xsl:with-param name="pence" select="$box2"/>
                                        </xsl:call-template>
                                    </td>
                                </tr>
                                <tr> 
                                    <td style="{$vatBoxLabel}">***Box3Description***<br />&#160;
                                    </td>
                                    <td style="{$vatBoxNumber}">3</td>
                                    <td style="{$money} {$vatBoxAmount}" >
                                        <xsl:call-template name="formatCurrency">
                                            <xsl:with-param name="pence" select="$box3"/>
                                        </xsl:call-template>
                                    </td>
                                </tr>
                                <tr> 
                                    <td style="{$vatBoxLabel}">***Box4Description***</td>
                                    <td style="{$vatBoxNumber}">4</td>
                                    <td style="{$money} {$vatBoxAmount}" >
                                        <xsl:call-template name="formatCurrency">
                                            <xsl:with-param name="pence" select="$box4"/>
                                        </xsl:call-template>
                                    </td>
                                </tr>
                                <tr> 
                                    <td style="{$vatBoxLabel}">***Box5Description***</td>
                                    <td style="{$vatBoxNumber}">5</td>
                                    <td style="{$money} {$vatBoxAmount}" >
                                        <xsl:call-template name="formatCurrency">
                                            <xsl:with-param name="pence" select="$box5"/>
                                        </xsl:call-template>
                                    </td>
                                </tr>
                                <tr> 
                                    <td style="{$vatBoxLabel}"></td>
                                    <td style="{$vatBoxNumber}"></td>
                                    <td style="{$vatBoxAmount}"></td>
                                </tr>
                                <tr> 
                                    <td style="{$vatBoxLabel}">***Box6Description***</td>
                                    <td style="{$vatBoxNumber}">6</td>
                                    <td style="{$money} {$vatBoxAmount}" >
                                        <xsl:call-template name="formatCurrency">
                                            <xsl:with-param name="pence" select="$box6"/>
                                        </xsl:call-template>
                                    </td>
                                </tr>
                                <tr> 
                                    <td style="{$vatBoxLabel}">***Box7Description***</td>
                                    <td style="{$vatBoxNumber}">7</td>
                                    <td style="{$money} {$vatBoxAmount}" >
                                        <xsl:call-template name="formatCurrency">
                                            <xsl:with-param name="pence" select="$box7"/>
                                        </xsl:call-template>
                                    </td>
                                </tr>
                                <tr> 
                                    <td style="{$vatBoxLabel}">***Box8Description***</td>
                                    <td style="{$vatBoxNumber}">8</td>
                                    <td style="{$money} {$vatBoxAmount}" >
                                        <xsl:call-template name="formatCurrency">
                                            <xsl:with-param name="pence" select="$box8"/>
                                        </xsl:call-template>
                                    </td>
                                </tr>
                                <tr> 
                                    <td style="{$vatBoxLabel}">***Box9Description***</td>
                                    <td style="{$vatBoxNumber}">9</td>
                                    <td style="{$money} {$vatBoxAmount}" >
                                        <xsl:call-template name="formatCurrency">
                                            <xsl:with-param name="pence" select="$box9"/>
                                        </xsl:call-template>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>

                <br />
                <div style="page-break-after:always"></div>

                <div class="tableWrapperOuter" style="{$tableWrapperOuter}">
                    <div class="tableWrapperInner" style="{$tableWrapperInner}">

                        <div>
                            <h1 style="{$h1Style}">***Calculation***</h1>
                            <xsl:if test="@vatAccountsHaveOpeningBalances &gt; 0">
                                <p>***NoteIncludesOpeningBalances***</p>
                            </xsl:if>
                            
                            <table title="Calculation" style="{$tableStyle}">
                                <tbody>
                                    <tr>
                                        <td style="width:7cm">***Sales in this period***</td>
                                        <td></td>
                                        <td style="{$money}">
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$totalSales"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>***Sales adjustment***</td>
                                        <td></td>
                                        <td style="{$money}">-
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$adjustSalesAmount"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>***Previous sales adjustment***<br />
                                        (***on sales of***
                                            <xsl:call-template name="rawCurrency">
                                                <xsl:with-param name="pence" select="$prevPeriodSales"/>
                                            </xsl:call-template>
                                        )
                                        </td>
                                        <td></td>
                                        <td style="{$money}">+
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$prevPeriodSalesAdjustment"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <xsl:if test="not($totalPurchasesECServices = 0) or not($totalPurchaseVatECServices = 0)">
                                        <tr>
                                            <td>***Purchases of services from EC***</td>
                                            <td></td>
                                            <td style="{$money}">+
                                                <xsl:call-template name="formatCurrency">
                                                    <xsl:with-param name="pence" select="$totalPurchasesECServices"/>
                                                </xsl:call-template>
                                            </td>
                                            <td style="{$money}">
                                                x <xsl:value-of select="@vatRate"/>%
                                            </td>
                                            <td style="{$money}">
                                                <xsl:call-template name="formatCurrency">
                                                    <xsl:with-param name="pence" select="$totalPurchaseVatECServices"/>
                                                </xsl:call-template>
                                            </td>
                                        </tr>
                                    </xsl:if>
                                    <tr>
                                        <td style="{$bold}">***Total sales + other outputs***</td>
                                        <td>***Box*** 6</td>
                                        <td style="{$money} {$bold} {$lineover}">
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$totalSalesAdjusted + $totalPurchasesECServices"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <xsl:if test="not($totalSalesECGoods = 0)">
                                        <tr>
                                            <td>***Sales of goods to EC***</td>
                                            <td>***Box*** 8</td>
                                            <td style="{$money}">
                                                <xsl:call-template name="formatCurrency">
                                                    <xsl:with-param name="pence" select="$totalSalesECGoods"/>
                                                </xsl:call-template>
                                            </td>
                                        </tr>
                                    </xsl:if>

                                    <tr>
                                        <td>&#160;</td>
                                    </tr>
                                    
                                    <tr>
                                        <td>***Sales VAT***</td>
                                        <td></td>
                                        <td style="{$money}">
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$totalSalesVatNonEC"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>***Sales VAT adjustment***</td>
                                        <td></td>
                                        <td style="{$money}">-
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$adjustSalesVatAmount"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>***Previous sales VAT adjustment***</td>
                                        <td></td>
                                        <td style="{$money}">+
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$prevPeriodDeferredSalesVAT"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <xsl:if test="not($totalPurchasesECServices = 0) or not($totalPurchaseVatECServices = 0)">
                                        <tr>
                                            <td>***Purchase VAT on services from EC***</td>
                                            <td></td>
                                            <td style="{$money}">+
                                                <xsl:call-template name="formatCurrency">
                                                    <xsl:with-param name="pence" select="$totalPurchaseVatECServices"/>
                                                </xsl:call-template>
                                            </td>
                                        </tr>
                                    </xsl:if>
                                    <tr>
                                        <td style="{$bold}">***VAT due on sales + other outputs***</td>
                                        <td>***Box*** 1</td>
                                        <td style="{$money} {$bold} {$lineover}">
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$totalSalesVatNonECAdjusted + $totalPurchaseVatECServices"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>

                                    <tr>
                                        <td>&#160;</td>
                                    </tr>
                                    
                                    
                                    <tr>
                                        <td>***Purchases***</td>
                                        <td></td>
                                        <td style="{$money}">
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$totalPurchases"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>***Purchases adjustment***</td>
                                        <td></td>
                                        <td style="{$money}">-
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$adjustPurchasesAmount"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>***Previous purchases adjustment***<br />
                                        (***on purchases of***
                                            <xsl:call-template name="rawCurrency">
                                                <xsl:with-param name="pence" select="$prevPeriodPurchases"/>
                                            </xsl:call-template>
                                        )
                                        </td>
                                        <td></td>
                                        <td style="{$money}">+
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$prevPeriodPurchasesAdjustment"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="{$bold}">***Total purchases***</td>
                                        <td>***Box*** 7</td>
                                        <td style="{$money} {$bold} {$lineover}">
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$totalPurchasesAdjusted"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <xsl:if test="not($totalPurchasesECGoods = 0) or not($totalPurchaseVatECGoods = 0)">
                                        <tr>
                                            <td>***Purchases of goods from EC***</td>
                                            <td>***Box*** 9</td>
                                            <td style="{$money}">
                                                <xsl:call-template name="formatCurrency">
                                                    <xsl:with-param name="pence" select="$totalPurchasesECGoods"/>
                                                </xsl:call-template>
                                            </td>
                                            <td style="{$money}">
                                                x <xsl:value-of select="@vatRate"/>%
                                            </td>
                                            <td style="{$money}">
                                                <xsl:call-template name="formatCurrency">
                                                    <xsl:with-param name="pence" select="$totalPurchaseVatECGoods"/>
                                                </xsl:call-template>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="{$bold}">***VAT due on goods from EC***</td>
                                            <td>***Box*** 2</td>
                                            <td></td>
                                            <td></td>
                                            <td style="{$money} {$bold}">
                                                <xsl:call-template name="formatCurrency">
                                                    <xsl:with-param name="pence" select="$totalPurchaseVatECGoods"/>
                                                </xsl:call-template>
                                            </td>
                                        </tr>
                                    </xsl:if>

                                    <tr>
                                        <td>&#160;</td>
                                    </tr>
                                    
                                    
                                    <tr>
                                        <td>***Purchase VAT***</td>
                                        <td></td>
                                        <td style="{$money}">
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$totalPurchaseVatPaid"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>***Purchase VAT adjustment***</td>
                                        <td></td>
                                        <td style="{$money}">-
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$adjustPurchasesVatAmount"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>***Previous purchase VAT adjustment***</td>
                                        <td></td>
                                        <td style="{$money}">+
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$prevPeriodDeferredPurchasesVAT"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <xsl:if test="not($totalPurchasesECGoods = 0) or not($totalPurchaseVatECGoods = 0)">
                                        <tr>
                                            <td>***Purchase VAT (goods from EC)***</td>
                                            <td></td>
                                            <td style="{$money}">+
                                                <xsl:call-template name="formatCurrency">
                                                    <xsl:with-param name="pence" select="$totalPurchaseVatECGoods"/>
                                                </xsl:call-template>
                                            </td>
                                        </tr>
                                    </xsl:if>
                                    <xsl:if test="not($totalPurchasesECServices = 0) or not($totalPurchaseVatECServices = 0)">
                                        <tr>
                                            <td>***Purchase VAT (services from EC)***</td>
                                            <td></td>
                                            <td style="{$money}">+
                                                <xsl:call-template name="formatCurrency">
                                                    <xsl:with-param name="pence" select="$totalPurchaseVatECServices"/>
                                                </xsl:call-template>
                                            </td>
                                        </tr>
                                    </xsl:if>
                                    <tr>
                                        <td style="{$bold}">***VAT reclaimed***</td>
                                        <td>***Box*** 4</td>
                                        <td style="{$money} {$bold} {$lineover}">
                                            <xsl:call-template name="formatCurrency">
                                                <xsl:with-param name="pence" select="$totalPurchaseVat + $totalPurchaseVatECServices + $totalPurchaseVatECGoods"/>
                                            </xsl:call-template>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>&#160;</td>
                                    </tr>
                                    
                                </tbody>
                            </table>
                                                        
                            <xsl:call-template name="aggregatedTransactions">
                                <xsl:with-param name="rows" select="accounts/row"/>
                                <xsl:with-param name="title">***VATAggregatedTransactions***</xsl:with-param>
                            </xsl:call-template>
                            
                            <hr />
                            <xsl:call-template name="aggregatedSalesOrPurchases">
                                <xsl:with-param name="rows" select="accounts/row[@isSale='1' and not(@total='0' and @vatAmount='0')]"/>
                                <xsl:with-param name="scaleBalance">-1</xsl:with-param>
                                <xsl:with-param name="title">***Sales (Aggregated)***</xsl:with-param>
                                <xsl:with-param name="description">***SalesAggregatedDescription***</xsl:with-param>
                            </xsl:call-template>
                            
                            <xsl:call-template name="aggregatedSalesOrPurchases">
                                <xsl:with-param name="rows" select="accounts/row[@isPurchase='1' and not(@total='0' and @vatAmount='0')]"/>
                                <xsl:with-param name="scaleBalance">1</xsl:with-param>
                                <xsl:with-param name="title">***Purchases (Aggregated)***</xsl:with-param>
                                <xsl:with-param name="description">***PurchasesAggregatedDescription***</xsl:with-param>
                            </xsl:call-template>

                            <xsl:call-template name="aggregatedSalesOrPurchases">
                                <xsl:with-param name="rows" select="accounts/row[@isSale='0' and not(@total='0' and @vatAmount='0')]"/>
                                <xsl:with-param name="scaleBalance">-1</xsl:with-param>
                                <xsl:with-param name="title">***VAT Exempt Sales (Aggregated)***</xsl:with-param>
                                <xsl:with-param name="description">***ExemptSalesAggregatedDescription***</xsl:with-param>
                            </xsl:call-template>

                            <xsl:call-template name="aggregatedSalesOrPurchases">
                                <xsl:with-param name="rows" select="accounts/row[@isPurchase='0' and not(@total='0' and @vatAmount='0')]"/>
                                <xsl:with-param name="scaleBalance">1</xsl:with-param>
                                <xsl:with-param name="title">***VAT Exempt Purchases (Aggregated)***</xsl:with-param>
                                <xsl:with-param name="description">***ExemptPurchasesAggregatedDescription***</xsl:with-param>
                            </xsl:call-template>

                        </div>

                        <xsl:call-template name="cashSchemeAdjustments"/>

                    </div>
                </div>
                <xsl:call-template name="preparedOn">
                    <xsl:with-param name="message">***Prepared on***</xsl:with-param>
                </xsl:call-template>
            </body>
        </html>
    </xsl:template>

</xsl:transform>
